All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
check_unit_vector.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/mat/err/constraint_tolerance.hpp>`
`#include <stan/math/prim/scal/err/check_nonzero_size.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_prob >
bool | stan::math::check_unit_vector (const char *function, const char *name, const Eigen::Matrix< T_prob, Dynamic, 1 > &theta)
| Return `true` if the specified vector is unit vector. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.